﻿using Ektron.Cms.Extensibility;
using Ektron.Cms.CoreService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace EktronEsync
{
    class EktronEsyncTest : ESyncNotificationStrategy
    {
        public override void OnAfterDatabaseSyncRunCompleteFromLocal(SyncProfile syncProfileData)
        {
            using (EventLog eventLog = new EventLog("Application"))
            {
                eventLog.Source = "Application";
                eventLog.WriteEntry("ESyncStrategy.NexusSync - OnAfterDatabaseSyncRunCompleteFromLocal", EventLogEntryType.Information);
            }
            base.OnAfterDatabaseSyncRunCompleteFromLocal(syncProfileData);
        }

        public override void OnAfterDatabaseSyncRunErrorFromLocal(Exception ex, SyncProfile syncProfileData)
        {
            using (EventLog eventLog = new EventLog("Application"))
            {
                eventLog.Source = "Application";
                eventLog.WriteEntry("ESyncStrategy.NexusSync - OnAfterDatabaseSyncRunErrorFromLocal", EventLogEntryType.Information);
            }
            base.OnAfterDatabaseSyncRunErrorFromLocal(ex, syncProfileData);
        }

        public override void OnAfterESyncRunErrorFromLocal(Exception ex, SyncSpecificDetails details, SyncProfile syncProfileData)
        {
            base.OnAfterESyncRunErrorFromLocal(ex, details, syncProfileData);
        }

        public override void OnLocalDatabaseSyncProgress(DatabaseSyncProgress syncProgress, SyncProfile syncProfileData)
        {
            using (EventLog eventLog = new EventLog("Application"))
            {
                eventLog.Source = "Application";
                eventLog.WriteEntry("ESyncStrategy.NexusSync - OnLocalDatabaseSyncProgress", EventLogEntryType.Information);
            }
            base.OnLocalDatabaseSyncProgress(syncProgress, syncProfileData);
        }
        public override void OnPeerDatabaseSyncProgress(DatabaseSyncProgress syncProgress, SyncProfile syncProfileData)
        {
            base.OnPeerDatabaseSyncProgress(syncProgress, syncProfileData);
        }
        public override void OnAfterESyncRunCompleteFromLocal(SyncSpecificDetails details, SyncProfile syncProfileData)
        {
            using (EventLog eventLog = new EventLog("Application"))
            {
                eventLog.Source = "Application";
                eventLog.WriteEntry("ESyncStrategy.NexusSync - OnAfterESyncRunCompleteFromLocal", EventLogEntryType.Information);
            }

            base.OnAfterESyncRunCompleteFromLocal(details, syncProfileData);
        }
    }
}
